language: c
sudo: false
+
+
cache:
directories:
- $HOME/.cabsnap
- env: CABALVER=1.18 GHCVER=7.8.4
compiler: ": #GHC 7.8.4"
addons: {apt: {packages: [cabal-install-1.18,ghc-7.8.4], sources: [hvr-ghc]}}
- - env: CABALVER=1.22 GHCVER=7.10.1
- compiler: ": #GHC 7.10.1"
- addons: {apt: {packages: [cabal-install-1.22,ghc-7.10.1], sources: [hvr-ghc]}}
+ - env: CABALVER=1.22 GHCVER=7.10.2
+ compiler: ": #GHC 7.10.2"
+ addons: {apt: {packages: [cabal-install-1.22,ghc-7.10.2], sources: [hvr-ghc]}}
+env:
+ global:
+ - GH_REF: github.com/jtanguy/hmacaroons.git
+ - secure: "ITyaZaTiQFOUQFN24wFWuo5sYuVJg6UQSJd28NpGdCJS9NOMk2ijZfDpY05+dug9TacmiALZ5Lt3Xlcx0pJSRkpYbG0AaB1k/52/D2LtOF13fDPAxHNbfvBRiUS4hk2LBl3SQFimYoTRNA/ssXvgjwehTB4ytkPgkLZu3rODin8="
before_install:
- unset CC
- cabal check
- cabal sdist # tests that a source-distribution can be generated
+ - bash ./scripts/pushdoc.sh
+
# Check that the resulting source distribution can be built & installed.
# If there are no other `.tar.gz` files in `dist`, this can be even simpler:
# `cabal install --force-reinstalls dist/*-*.tar.gz`
- SRC_TGZ=$(cabal info . | awk '{print $2;exit}').tar.gz &&
(cd dist && cabal install --force-reinstalls "$SRC_TGZ")
+
+
# EOF
--- /dev/null
+#!/bin/bash
+set -e # exit with nonzero exit code if anything fails
+
+cabal haddock
+
+pushd dist/doc/html/hmacaroons
+git init
+
+# inside this git repo we'll pretend to be a new user
+git config user.name "Travis CI"
+git config user.email "julien.tanguy@jhome.fr"
+
+# The first and only commit to this new Git repo contains all the
+# files present with the commit message "Deploy to GitHub Pages".
+git add .
+git commit -m "Deploy to GitHub Pages"
+
+# Force push from the current repo's master branch to the remote
+# repo's gh-pages branch. (All previous history on the gh-pages branch
+# will be lost, since we are overwriting it.) We redirect any output to
+# /dev/null to hide any sensitive credential data that might otherwise be exposed.
+git push --force --quiet "https://${GH_TOKEN}@${GH_REF}" master:gh-pages > /dev/null 2>&1
+
+popd